#!/usr/bin/env bash

function main()
{
  if ! brew list | grep git >/dev/null; then
    brew install git
  fi

  if [ ! -f "${HOME}/.gitconfig" ]; then
    cat << EOF > ${HOME}/.gitconfig
[include]
  path = ${DOTFILES}/git/gitconfig
[core]
  excludesfile = ${DOTFILES}/git/gitignore_global
EOF
  fi
}

main "$@"
